Package com.xebialabs.xlrelease.api.v1.forms

## Class ReleaseGroupFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.ReleaseGroupFilters

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ReleaseGroupFilters
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseGroupFilters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFolderId()` |
    `java.util.List<ReleaseGroupStatus>` | `getStatuses()` |
    `java.lang.String` | `getTitle()` |
    `boolean` | `hasStatuses()` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setStatuses​(java.util.List<ReleaseGroupStatus> statuses)` |
    `void` | `setTitle​(java.lang.String title)` |
    `ReleaseGroupFilters` | `withFolderId​(java.lang.String folderId)` |
    `ReleaseGroupFilters` | `withStatuses​(ReleaseGroupStatus... statuses)` |
    `ReleaseGroupFilters` | `withTitle​(java.lang.String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReleaseGroupFilters

          public ReleaseGroupFilters()

  - ### Method Detail

    - #### withTitle

          public ReleaseGroupFilters withTitle​(java.lang.String title)

    - #### withStatuses

          public ReleaseGroupFilters withStatuses​(ReleaseGroupStatus... statuses)

    - #### withFolderId

          public ReleaseGroupFilters withFolderId​(java.lang.String folderId)

    - #### hasStatuses

          public boolean hasStatuses()

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getStatuses

          public java.util.List<ReleaseGroupStatus> getStatuses()

    - #### setStatuses

          public void setStatuses​(java.util.List<ReleaseGroupStatus> statuses)